net.i2p.i2ptunnel.web

## Class EditBean

- java.lang.Object
- - net.i2p.i2ptunnel.web.IndexBean
  - - net.i2p.i2ptunnel.web.EditBean

-     public class EditBean
      extends IndexBean

  Ugly little accessor for the edit page Warning - This class is not part of the i2ptunnel API, and at some point it will be moved from the jar to the war. Usage by classes outside of i2ptunnel.war is deprecated.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.i2ptunnel.web.IndexBean

      `_context, _group, _log, _noShowSet, CLIENT_NICKNAME, DEFAULT_THEME, NOT_RUNNING, PROP_CSS_DISABLED, PROP_ENABLE_ACCESS_LIST, PROP_ENABLE_BLACKLIST, PROP_JS_DISABLED, PROP_MAX_CONNS_DAY, PROP_MAX_CONNS_HOUR, PROP_MAX_CONNS_MIN, PROP_MAX_STREAMS, PROP_MAX_TOTAL_CONNS_DAY, PROP_MAX_TOTAL_CONNS_HOUR, PROP_MAX_TOTAL_CONNS_MIN, PROP_THEME_NAME, PROP_TUNNEL_PASSPHRASE, RUNNING, STANDBY, STARTING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessList(int tunnel)`
    `String` | `getAccessMode(int tunnel)`
    `int` | `getCert(int tunnel)`
    `boolean` | `getClose(int tunnel)`
    `int` | `getCloseTime(int tunnel)`
    `String` | `getCustomOptions(int tunnel)`
    `boolean` | `getDelayOpen(int tunnel)`
    `int` | `getEffort(int tunnel)`
    `boolean` | `getEncrypt(int tunnel)`
    `String` | `getEncryptKey(int tunnel)`
    `String` | `getI2CPHost(int tunnel)`
    `String` | `getI2CPPort(int tunnel)`
    `String` | `getJumpList(int tunnel)`
    `String` | `getLimitDay(int tunnel)`
    `String` | `getLimitHour(int tunnel)`
    `String` | `getLimitMinute(int tunnel)` all of these are @since 0.8.3
    `String` | `getMaxStreams(int tunnel)`
    `String` | `getNameSignature(int tunnel)`
    `boolean` | `getNewDest(int tunnel)`
    `boolean` | `getOutproxyAuth(int tunnel)`
    `String` | `getOutproxyPassword(int tunnel)`
    `String` | `getOutproxyUsername(int tunnel)`
    `boolean` | `getPersistentClientKey(int tunnel)`
    `String` | `getPrivateKeyFile(int tunnel)`
    `boolean` | `getProxyAuth(int tunnel)` all proxy auth @since 0.8.2
    `String` | `getProxyPassword(int tunnel)`
    `String` | `getProxyUsername(int tunnel)`
    `boolean` | `getReduce(int tunnel)`
    `int` | `getReduceCount(int tunnel)`
    `int` | `getReduceTime(int tunnel)`
    `String` | `getSigner(int tunnel)`
    `String` | `getSpoofedHost(int tunnel)`
    `String` | `getTargetHost(int tunnel)`
    `String` | `getTargetPort(int tunnel)`
    `String` | `getTotalDay(int tunnel)`
    `String` | `getTotalHour(int tunnel)`
    `String` | `getTotalMinute(int tunnel)`
    `int` | `getTunnelBackupQuantity(int tunnel, int defaultBackupQuantity)`
    `int` | `getTunnelDepth(int tunnel, int defaultLength)`
    `int` | `getTunnelQuantity(int tunnel, int defaultQuantity)`
    `int` | `getTunnelVariance(int tunnel, int defaultVariance)`
    `Set<String>` | `interfaceSet()`
    `boolean` | `isInteractive(int tunnel)`
    `boolean` | `isRouterContext()`
    `boolean` | `isSharedClient(int tunnel)`
    `boolean` | `shouldDelay(int tunnel)`
    `boolean` | `startAutomatically(int tunnel)`
    `static boolean` | `staticIsClient(int tunnel)`

    - ### Methods inherited from class net.i2p.i2ptunnel.web.IndexBean

      `_, allowCSS, allowJS, getClientDestination, getClientInterface, getClientPort, getController, getDestHashBase32, getDestinationBase64, getInternalType, getMessages, getNextNonce, getServerTarget, getSharedClient, getTheme, getTunnelCount, getTunnelDescription, getTunnelName, getTunnelStatus, getTunnelType, getType, getTypeName, isClient, isClient, isServerTargetLinkValid, setAccessList, setAccessMode, setAction, setCert, setClientHost, setClientport, setClose, setCloseTime, setConnectDelay, setCustomOptions, setDelayOpen, setDescription, setEffort, setEncrypt, setEncryptKey, setJumpList, setLimitDay, setLimitHour, setLimitMinute, setMaxStreams, setName, setNewDest, setNonce, setOutproxyAuth, setOutproxyPassword, setOutproxyUsername, setPassphrase, setPort, setPrivKeyFile, setProfile, setProxyAuth, setProxyList, setProxyPassword, setProxyUsername, setReachableBy, setReduce, setReduceCount, setReduceTime, setRemoveConfirm, setShared, setShared, setSigner, setSpoofedHost, setStartOnLoad, setTargetDestination, setTargetHost, setTargetPort, setTotalDay, setTotalHour, setTotalMinute, setTunnel, setTunnelBackupQuantity, setTunnelDepth, setTunnelQuantity, setTunnelVariance, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditBean

          public EditBean()

  - ### Method Detail

    - #### staticIsClient

          public static boolean staticIsClient(int tunnel)

    - #### getTargetHost

          public String getTargetHost(int tunnel)

    - #### getTargetPort

          public String getTargetPort(int tunnel)

    - #### getSpoofedHost

          public String getSpoofedHost(int tunnel)

    - #### getPrivateKeyFile

          public String getPrivateKeyFile(int tunnel)

    - #### getNameSignature

          public String getNameSignature(int tunnel)

    - #### startAutomatically

          public boolean startAutomatically(int tunnel)

    - #### isSharedClient

          public boolean isSharedClient(int tunnel)

    - #### shouldDelay

          public boolean shouldDelay(int tunnel)

    - #### isInteractive

          public boolean isInteractive(int tunnel)

    - #### getTunnelDepth

          public int getTunnelDepth(int tunnel,
                           int defaultLength)

    - #### getTunnelQuantity

          public int getTunnelQuantity(int tunnel,
                              int defaultQuantity)

    - #### getTunnelBackupQuantity

          public int getTunnelBackupQuantity(int tunnel,
                                    int defaultBackupQuantity)

    - #### getTunnelVariance

          public int getTunnelVariance(int tunnel,
                              int defaultVariance)

    - #### getReduce

          public boolean getReduce(int tunnel)

    - #### getReduceCount

          public int getReduceCount(int tunnel)

    - #### getReduceTime

          public int getReduceTime(int tunnel)

    - #### getCert

          public int getCert(int tunnel)

    - #### getEffort

          public int getEffort(int tunnel)

    - #### getSigner

          public String getSigner(int tunnel)

    - #### getEncrypt

          public boolean getEncrypt(int tunnel)

    - #### getEncryptKey

          public String getEncryptKey(int tunnel)

    - #### getAccessMode

          public String getAccessMode(int tunnel)

    - #### getAccessList

          public String getAccessList(int tunnel)

    - #### getJumpList

          public String getJumpList(int tunnel)

    - #### getClose

          public boolean getClose(int tunnel)

    - #### getCloseTime

          public int getCloseTime(int tunnel)

    - #### getNewDest

          public boolean getNewDest(int tunnel)

    - #### getPersistentClientKey

          public boolean getPersistentClientKey(int tunnel)

    - #### getDelayOpen

          public boolean getDelayOpen(int tunnel)

    - #### getProxyAuth

          public boolean getProxyAuth(int tunnel)

      all proxy auth @since 0.8.2

    - #### getProxyUsername

          public String getProxyUsername(int tunnel)

    - #### getProxyPassword

          public String getProxyPassword(int tunnel)

    - #### getOutproxyAuth

          public boolean getOutproxyAuth(int tunnel)

    - #### getOutproxyUsername

          public String getOutproxyUsername(int tunnel)

    - #### getOutproxyPassword

          public String getOutproxyPassword(int tunnel)

    - #### getLimitMinute

          public String getLimitMinute(int tunnel)

      all of these are @since 0.8.3

    - #### getLimitHour

          public String getLimitHour(int tunnel)

    - #### getLimitDay

          public String getLimitDay(int tunnel)

    - #### getTotalMinute

          public String getTotalMinute(int tunnel)

    - #### getTotalHour

          public String getTotalHour(int tunnel)

    - #### getTotalDay

          public String getTotalDay(int tunnel)

    - #### getMaxStreams

          public String getMaxStreams(int tunnel)

    - #### isRouterContext

          public boolean isRouterContext()

      Since:
        0.8.3

    - #### interfaceSet

          public Set<String> interfaceSet()

      Since:
        0.8.3

    - #### getI2CPHost

          public String getI2CPHost(int tunnel)

    - #### getI2CPPort

          public String getI2CPPort(int tunnel)

    - #### getCustomOptions

          public String getCustomOptions(int tunnel)